ALERT: Some images may not load properly within the Knowledge Base Article. If you see a broken image, please right-click and select 'Open image in a new tab'. We apologize for this inconvenience.

How to find the Progress DataDirect driver version used in Advanced Authentication/Strong Authentication/Risk Authentication

book

Article ID: 236886

calendar_today

Updated On:

Products

CA Risk Authentication CA Strong Authentication CA Advanced Authentication

Issue/Introduction

We are trying to switch to using Oracle Advanced Security for DB connections. However, we are receiving this error in Riskfort/Risk Authentication startup:

Fri Mar 11 11:50:23.787 2022 WARNING: pid 21064 tid 21064: 2: 0: ArDBConnection::connect: Connection to database [arcotdsn]. user [FDSARCOT_ASU] failed. Error detail [SQL State:HY000, Native Code: FFFFFFFF, ODBC code: [AA][ODBC Oracle Wire Protocol driver][Oracle]ORA-12660: Encryption or crypto-checksumming parameters incompatible] 

The database requires SHA256. I assume the problem is that Riskfort/Risk Authentication does not use the latest ODBC driver 8.0.2 which added this and only support SHA1 now:

https://www.progress.com/odbc/release-history/oracle-database-odbc

Could you please confirm the driver version used in Riskfort/Risk Authentication 9.0 and 9.1? How can we find the version ourselves?

Environment

Release : 9.1.x

Component : Strong Authentication

Risk Authentication

Resolution

Please see instructions below to find the version details.

On Windows:

  1. 1. Navigate to directory %ARCOT_HOME%/odbc64
  2. You should see files specific to Oracle and SQL server in that directory.
  3. Refer to readme file for the version details e.g. 'ODBC for Oracle v8.0 readme.txt'

On Linux:

  1. Navigate to directory $ARCOT_HOME/odbc64/lib
  2. Run this command ---- strings libodbc.so | grep "8\."
  3. You should see the version like this 08.01.0202 (U0182). This is from a 9.1SP1 environment.

Additional Information

https://knowledgebase.progress.com/articles/Article/4381